# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

# See https://blogs.gentoo.org/ago/2017/08/21/sys-kernel-grsecurity-sources-available

EAPI="6"

ETYPE="sources"
UNIPATCH_STRICTORDER="no"
K_SECURITY_UNSUPPORTED="0"
#K_GENPATCHES_VER="not-empty" # Set to not-empty to avoid the useless download of patch-*.xz
K_WANT_GENPATCHES="base extras experimental"
K_GENPATCHES_VER="28"
K_NOSETEXTRAVERSION="1"
NAME="linux-hardened"
MINOR_VER=".a"
PN="hardened"

inherit kernel-2
detect_version
detect_arch

UNIPATCH_LIST="${DISTDIR}/1199_${NAME}-${PV}.a.patch
				${FILESDIR}/5.4/*.patch
				${FILESDIR}/mkspec_script_local.patch"
UNIPATCH_EXCLUDE="1500_XATTR_USER_PREFIX.patch
					1510_fs-enable-link-security-restrictions-by-default.patch
					2900_dev-root-proc-mount-fix.patch
					4200_fbcondecor.patch
					4400_alpha-sysctl-uac.patch"

LINHARD_URI="https://github.com/anthraxx/${NAME}/releases/download/${PV}${MINOR_VER}/${NAME}-${PV}${MINOR_VER}.patch -> 1199_${NAME}-${PV}${MINOR_VER}.patch"

KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches"
IUSE="experimental"

DESCRIPTION="Full sources including the Gentoo, ArchLinux, Clear Linux and Linux Hardened patches for the ${KV_MAJOR}.${KV_MINOR} kernel tree"
SRC_URI="${KERNEL_URI} ${GENPATCHES_URI} ${LINHARD_URI} ${ARCH_URI}"

src_compile() {
		echo "${MINOR_VER}-hardened" > ${S}/localversion-hardened
}


K_EXTRAEINFO="For more info on this patchset, and for how to report problems, see: \
${HOMEPAGE}"

pkg_postinst() {
	kernel-2_pkg_postinst
}

pkg_postrm() {
	kernel-2_pkg_postrm
}
