# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Rofi frontend for pass"
HOMEPAGE="https://github.com/carnager/rofi-pass"

if [[ ${PV} == 9999 ]] ; then
        inherit git-r3
        EGIT_REPO_URI="https://github.com/carnager/rofi-pass.git"
		EGIT_BRANCH="ydotool"
else
		SRC_URI="https://github.com/carnager/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
        KEYWORDS="~amd64 ~arm64 ~x86"
fi

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="otp"

DEPEND=""
RDEPEND="app-admin/pass
	app-admin/pwgen
	x11-misc/wl-clipboard-x11
	x11-misc/wofi
	x11-misc/xdotool
	otp? ( app-admin/pass-otp )"
BDEPEND=""

src_compile() {
	# nop
	true
}

src_install() {
	emake DESTDIR="${D}" PREFIX="/usr"
}
